tasty-lua-1.1.1: Write tests in Lua, integrate into tasty.

Copyright | © 2019-2024 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <tarleb@hslua.org>
Safe Haskell | Safe-Inferred
Language | Haskell2010

Test.Tasty.Lua.Core

Description

Core types and functions for tasty Lua tests.

Synopsis

- runTastyFile :: LuaError e => FilePath -> LuaE e (Either String [ResultTree])
- data ResultTree = ResultTree TestName UnnamedTree
- data Outcome
  - = Success
  - | Failure String
- data UnnamedTree
  - = SingleTest Outcome
  - | TestGroup [ResultTree]

# Documentation

runTastyFile :: LuaError e => FilePath -> LuaE e (Either String [ResultTree]) Source #

Run a tasty Lua script from a file and return either the resulting test tree or the error message.

data ResultTree Source #

Tree of test results returned by tasty Lua scripts. This is similar to tasty's ``TestTree``, with the important difference that all tests have already been run, and all test results are known.

Constructors

ResultTree TestName UnnamedTree |

data Outcome Source #

Test outcome

Constructors

Success |
Failure String |

data UnnamedTree Source #

Either a raw test outcome, or a nested ``Tree``.

Constructors

SingleTest Outcome |
TestGroup [ResultTree] |